"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1164379d0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x116437a60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x116437af0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x116437b80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x116437c10>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x116437ca0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x116437d30>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x116437dc0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x116437e50>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x116437ee0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x116437f70>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x11643f040>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x11643f0d0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x11643f160>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x11643f1f0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x11643f280>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x11643f310>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x11643f3a0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x11643f430>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x11643f4c0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x11643f550>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x11643f5e0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x11643f670>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x11643f700>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x11643f820>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x11643f790>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x11643f8b0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x11643f940>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x11643f9d0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x11643fa60>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x11643faf0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x11643fb80>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x11643fc10>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x11643fca0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x11643fd30>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x11643fdc0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x11643fe50>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x11643fee0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11643ff70>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x116442040>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1164420d0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x116442160>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1164421f0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x116442280>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x116442310>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1164423a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x116442430>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1164424c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x116442550>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1164425e0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x116442670>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x116442700>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x116442790>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x116442820>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1164428b0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x116442940>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1164429d0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x116442a60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x116442af0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x116442b80>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x116442c10>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x116442ca0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x116442d30>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x116442dc0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x116442e50>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x116446040>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x116442ee0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1164460d0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x116446160>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1164461f0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x116446280>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x116446310>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x116446430>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1164463a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1164464c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x116446550>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1164465e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x116446700>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x116446670>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x116446790>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x116446820>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1164468b0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x116446940>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1164469d0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x116446a60>)]
name: str = 'fr_HOCCN'
